Bug 1066404 - (CVE-2013-4533) CVE-2013-4533 qemu: pxa2xx: buffer overrun on incoming migration
CVE-2013-4533 qemu: pxa2xx: buffer overrun on incoming migration
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1095767 1095768 1095769
Blocks: 1036654
  Show dependency treegraph
 
Reported: 2014-02-18 05:24 EST by Petr Matousek
Modified: 2014-06-10 08:07 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 08:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-02-18 05:24:41 EST
s->rx_level is read from the wire and used to determine how many bytes
to subsequently read into s->rx_fifo[]. If s->rx_level exceeds the
length of s->rx_fifo[] the buffer can be overrun with arbitrary data
from the wire.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=caa881abe0e01f9931125a0977ec33c5343e4aa7
Comment 1 Petr Matousek 2014-02-18 06:41:27 EST
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6
Comment 3 Prasad J Pandit 2014-05-08 09:35:02 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095767]
Comment 4 Fedora Update System 2014-05-16 05:58:24 EDT
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.